import makeStyles from '@mui/styles/makeStyles';
import { pxToRem } from '../../theme/typography';

export const useStyles = makeStyles((theme) => ({
  inputLabel: {
    marginBottom: theme.spacing(0.5),
    fontSize: pxToRem(12),
    color: theme.palette.grey[10],
  },
  generalInfoPaper: {
    border: '1px solid',
    borderColor: theme.palette.grey[20],
    marginTop: theme.spacing(1),
  },
  cancelRejectionBox: {
    // paddingTop: theme.spacing(0.5),
    width: '100%',
    justifyContent: 'space-between',
    marginTop: '10px',
  },
  cancelRejectionLink: {
    color: theme.palette.primary.main,
    fontSize: pxToRem(14),
    fontFamily: theme.fontFamily.regular,
    fontWeight: 600,
  },
  enableRejectButton: {
    marginLeft: theme.spacing(1.5),
    color: theme.palette.common.white,
    backgroundColor: theme.palette.primary.main,
    fontFamily: theme.fontFamily.regular,
    borderRadius: theme.shape.borderRadiusComponent,
    '&:hover': {
      backgroundColor: theme.palette.primary.main,
    },
  },
  disableRejectButton: {
    opacity: 0.5,
    marginLeft: theme.spacing(1.5),
    cursor: 'default',
    border: '1px solid',
    borderColor: theme.palette.grey[13],
    backgroundColor: theme.palette.common.white,
    fontFamily: theme.fontFamily.regular,
    borderRadius: theme.shape.borderRadiusComponent,
    '&:hover': {
      backgroundColor: theme.palette.common.white,
    },
  },
  statusButtonIcon: {
    fontSize: pxToRem(22),
    marginRight: theme.spacing(0.6),
  },
  enableOnHoldButton: {
    maxHeight: '35px',
    marginLeft: theme.spacing(1.5),
    color: theme.palette.common.white,
    backgroundColor: theme.palette.grey[52],
    fontFamily: theme.fontFamily.regular,
    borderRadius: theme.shape.borderRadiusComponent,
    '&:hover': {
      backgroundColor: theme.palette.grey[52],
    },
  },
  disableOnHoldButton: {
    maxHeight: '35px',
    opacity: 0.5,
    marginLeft: theme.spacing(1.5),
    cursor: 'default',
    border: '1px solid',
    color: theme.palette.grey[52],
    borderColor: theme.palette.grey[13],
    backgroundColor: theme.palette.common.white,
    fontFamily: theme.fontFamily.regular,
    borderRadius: theme.shape.borderRadiusComponent,
    '&:hover': {
      backgroundColor: theme.palette.common.white,
    },
  },
  onHoldButtonIcon: {
    fontSize: pxToRem(22),
    marginRight: theme.spacing(0.6),
  },
  enableAcceptButton: {
    marginLeft: theme.spacing(1.5),
    color: theme.palette.common.white,
    backgroundColor: theme.palette.grey[32],
    fontFamily: theme.fontFamily.regular,
    borderRadius: theme.shape.borderRadiusComponent,
    '&:hover': {
      backgroundColor: theme.palette.grey[32],
    },
  },
  disableAcceptButton: {
    maxHeight: '38px',
    opacity: 0.5,
    marginLeft: theme.spacing(1.5),
    color: theme.palette.grey[32],
    backgroundColor: theme.palette.common.white,
    fontFamily: theme.fontFamily.regular,
    border: '1px solid',
    borderColor: theme.palette.grey[13],
    borderRadius: theme.shape.borderRadiusComponent,
    cursor: 'default',
    '&:hover': {
      backgroundColor: theme.palette.common.white,
    },
  },
  acceptButtonIcon: {
    fontSize: pxToRem(22),
    marginRight: theme.spacing(0.6),
  },
  reasonModelBox: {
    marginTop: theme.spacing(2),
    marginLeft: theme.spacing(0),
    marginRight: theme.spacing(0),
    paddingLeft: theme.spacing(0),
    paddingRight: theme.spacing(0),
  },
  inputTextGrid: {
    marginTop: theme.spacing(3),
    paddingTop: theme.spacing(1),
  },
  submitButton: {
    justifyContent: 'center',
    marginTop: theme.spacing(2),
  },
  uploadGSTInvoiceIcon: {
    width: '20px',
    height: '20px',
  },
  approvedCompanyMoreDetailsHeading: {
    paddingLeft: theme.spacing(0),
    marginBottom: theme.spacing(1),
  },
  tabsPanel: {
    borderTop: '1px solid',
    borderTopColor: theme.palette.grey[7],
    padding: theme.spacing(0),
    margin: theme.spacing(0),
  },
  warning: {
    color: theme.palette.primary.main,
  },
  success: {
    color: theme.palette.success.main,
  },
  editCompanyInfoButton: {
    height: '46px',
  },
}));
